be.fgov.ehealth.rn.baselegaldata.v1

## Class LegalCohabitationWithStatusAndSourceType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalLegalCohabitationType
  - - be.fgov.ehealth.rn.baselegaldata.v1.LegalCohabitationWithStatusAndSourceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class LegalCohabitationWithStatusAndSourceType
      extends AbstractOptionalLegalCohabitationType
      implements Serializable

  Java class for LegalCohabitationWithStatusAndSourceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LegalCohabitationWithStatusAndSourceType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalLegalCohabitationType">
             <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
             <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegalCohabitationWithStatusAndSourceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSource()` Gets the value of the source property.
    `String` | `getStatus()` Gets the value of the status property.
    `void` | `setSource(String value)` Sets the value of the source property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalLegalCohabitationType

      `getInceptionDate, getPartner, getRegistration, setInceptionDate, setPartner, setRegistration`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegalCohabitationWithStatusAndSourceType

          public LegalCohabitationWithStatusAndSourceType()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.